/*
 * $Id: Interface_fifo_save_ptr.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interface_fifo.h"

namespace morpheo              {
namespace behavioural          {

  void Interface_fifo::save_ptr (Signal *  signal ,
				 val_ack_t val_ack)
  {
    log_printf(FUNC,Behavioural,"save_ptr","Begin");
    
#ifdef VHDL_TESTBENCH
    _test_exhaustive = false;
#endif

    if (val_ack == VAL)
      _list_signal_val->push_back (signal);
    else
      _list_signal_ack->push_back (signal);

    log_printf(FUNC,Behavioural,"save_ptr","End");
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
